Index: squid/src/auth/ntlm/auth_ntlm.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/ntlm/auth_ntlm.c,v
retrieving revision 1.1.2.17
retrieving revision 1.1.2.18
diff -u -r1.1.2.17 -r1.1.2.18
--- squid/src/auth/ntlm/auth_ntlm.c	7 Jan 2001 02:49:32 -0000	1.1.2.17
+++ squid/src/auth/ntlm/auth_ntlm.c	7 Jan 2001 09:48:32 -0000	1.1.2.18
@@ -845,190 +832,184 @@
 authNTLMAuthenticated(auth_user_request_t * auth_user_request)
 {
     ntlm_request_t *ntlm_request = auth_user_request->scheme_data;
-    if (ntlm_request->auth_state==AUTHENTICATE_STATE_DONE)
-        return 1;
-    debug (29, 9) ("User not fully authenticated.\n");
+    if (ntlm_request->auth_state == AUTHENTICATE_STATE_DONE)
+	return 1;
+    debug(29, 9) ("User not fully authenticated.\n");
     return 0;
 }
 
 #if 0
 static acl_proxy_auth_user *
-authenticateNTLMAuthenticateUser(void *data, const char * proxy_auth, ConnStateData *conn) {
-#endif
+authenticateNTLMAuthenticateUser(void *data, const char *proxy_auth, ConnStateData * conn)
+#else
 static void
-authenticateNTLMAuthenticateUser(auth_user_request_t *auth_user_request, request_t *request, ConnStateData *conn, http_hdr_type type) {
-    const char * proxy_auth;
-    auth_user_hash_pointer *usernamehash, *proxy_auth_hash=NULL;
-    auth_user_t * auth_user;
-    ntlm_request_t * ntlm_request;
-    ntlm_user_t * ntlm_user;
+authenticateNTLMAuthenticateUser(auth_user_request_t * auth_user_request, request_t * request, ConnStateData * conn, http_hdr_type type)
+#endif
+{
+    const char *proxy_auth;
+    auth_user_hash_pointer *usernamehash, *proxy_auth_hash = NULL;
+    auth_user_t *auth_user;
+    ntlm_request_t *ntlm_request;
+    ntlm_user_t *ntlm_user;
     LOCAL_ARRAY(char, ntlmhash, NTLM_CHALLENGE_SZ * 2);
     /* get header */
     proxy_auth = httpHeaderGetStr(&request->header, type);
-    
-    auth_user=auth_user_request->auth_user;
+
+    auth_user = auth_user_request->auth_user;
     assert(auth_user);
-    assert(auth_user->auth_type==AUTH_NTLM);
+    assert(auth_user->auth_type == AUTH_NTLM);
     assert(auth_user->scheme_data != NULL);
     assert(auth_user_request->scheme_data != NULL);
-    ntlm_user=auth_user->scheme_data;
-    ntlm_request=auth_user_request->scheme_data;
+    ntlm_user = auth_user->scheme_data;
+    ntlm_request = auth_user_request->scheme_data;
     switch (ntlm_request->auth_state) {
-        case AUTHENTICATE_STATE_NONE:
-            /* we've recieved a negotiate request. pass to a helper */
-            debug(29, 9) ("authenticateNTLMAuthenticateUser: auth state ntlm none. %s\n",
-                proxy_auth);
-            ntlm_request->auth_state = AUTHENTICATE_STATE_NEGOTIATE;
-            ntlm_request->ntlmnegotiate=xstrndup(proxy_auth, NTLM_CHALLENGE_SZ+5);
-            conn->auth_type=AUTH_NTLM;
-            conn->auth_user_request=auth_user_request;
-            /* and lock for the connection duration */
-            debug (29,9)("authenticateNTLMAuthenticateUser: Locking auth_user from the connection.\n");
-            authenticateAuthUserRequestLock(auth_user_request);
-            return;
-            break;
-        case AUTHENTICATE_STATE_NEGOTIATE:
-            ntlm_request->auth_state = AUTHENTICATE_STATE_CHALLENGE;
-            return;
-            break;
-        case AUTHENTICATE_STATE_CHALLENGE:
-            /* we should have recieved a NTLM challenge. pass it to the same 
-             * helper process */
-            debug(29,9) ("authenticateNTLMAuthenticateUser: auth state challenge with header %s.\n", proxy_auth);
-            /* do a cache lookup here. If it matches it's a successful ntlm 
-             * challenge - release the helper and use the existing auth_user 
-             * details. */
-            if (strncmp("NTLM ", proxy_auth, 5) == 0) {
-                 ntlm_request->ntlmauthenticate = xstrdup(proxy_auth);
-            } else {
-                fatal("Incorrect scheme in auth header\n");
-                /* TODO: more fault tolerance.. reset the auth scheme here */
-            }
-             /* cache entries have authenticateauthheaderchallengestring */
-            snprintf(ntlmhash, sizeof(ntlmhash) - 1, "%s%s", 
-                ntlm_request->ntlmauthenticate,
-                ntlm_request->authchallenge);
-            /* see if we already know this user's authenticate */
-            debug(29,9)("aclMatchProxyAuth: cache lookup with key '%s'\n",ntlmhash);
-            assert(proxy_auth_cache!=NULL);
-            proxy_auth_hash = hash_lookup(proxy_auth_cache, ntlmhash);
-            if (!proxy_auth_hash) { /* not in the hash table */
-                debug(29,4)("authenticateNTLMAuthenticateUser: proxy-auth cache miss.\n");
-                ntlm_request->auth_state = AUTHENTICATE_STATE_RESPONSE;
-                /* verify with the ntlm helper */
-            } else {
-                debug(29,4)("authenticateNTLMAuthenticateUser: ntlm proxy-auth cache hit\n");
-                /* throw away the temporary entry */
-                authenticateNTLMReleasehelper(auth_user_request);
-                authenticateAuthUserMerge(auth_user,proxy_auth_hash->auth_user);
-                auth_user = proxy_auth_hash->auth_user;
-                auth_user_request->auth_user=auth_user;
-                ntlm_request->auth_state=AUTHENTICATE_STATE_DONE;
-                /* we found one */
-                debug(29, 9) ("found matching cache entry\n");
-                assert(auth_user->auth_type == AUTH_NTLM);
-                /* get the existing entries details */
-                ntlm_user = auth_user->scheme_data;
-                debug(29, 9) ("Username to be used is %s\n",
-                    ntlm_user->username);
-                auth_user->flags.credentials_ok = 1; /* authenticated ok */
-                /* on ntlm auth we do not unlock the auth_user until the
-                 * connection is dropped. Thank MS for this quirk */
-                auth_user->expiretime = current_time.tv_sec ;
-                auth_user->ip_expiretime = squid_curtime;
-            }
-            return;
-            break;
-        case AUTHENTICATE_STATE_RESPONSE:
-            /* auth-challenge pair cache miss. We've just got the response */
-            /*add to cache and let them through */
-            ntlm_request->auth_state = AUTHENTICATE_STATE_DONE;
-            /* this connection is authenticated */
-            debug(29, 4) ("authenticated\nch    %s\nauth     %s\nauthuser %s\n",
-                ntlm_request->authchallenge,
-                ntlm_request->ntlmauthenticate,
-                ntlm_user->username);
-            /* cache entries have authenticateauthheaderchallengestring */
-            snprintf(ntlmhash, sizeof(ntlmhash) - 1, "%s%s", 
-                ntlm_request->ntlmauthenticate,
-                ntlm_request->authchallenge);
-            /* see if this is an existing user with a different proxy_auth 
-             * string */
-            if ((usernamehash = hash_lookup(proxy_auth_username_cache,
-                ntlm_user->username))) {
-                while ((usernamehash->auth_user->auth_type != 
-                    auth_user->auth_type) && (usernamehash->next) &&
-                    !authenticateNTLMcmpUsername(usernamehash->auth_user->scheme_data, ntlm_user) ) 
-                    usernamehash=usernamehash->next;
-                if (usernamehash->auth_user->auth_type==auth_user->auth_type) {
-                    /*
-                     * add another link from the new proxy_auth to the
-                     * auth_user structure and update the information */
-                     assert(proxy_auth_hash == NULL);
-                     authenticateProxyAuthCacheAddLink(ntlmhash, usernamehash->auth_user);
-                    /* we can't seamlessly recheck the username due to the 
-                     * challenge nature of the protocol. Just free the 
-                     * temporary auth_user */
-                    authenticateAuthUserMerge(auth_user,usernamehash->auth_user);
-                    auth_user = usernamehash->auth_user;
-                    auth_user_request->auth_user=auth_user;
+    case AUTHENTICATE_STATE_NONE:
+	/* we've recieved a negotiate request. pass to a helper */
+	debug(29, 9) ("authenticateNTLMAuthenticateUser: auth state ntlm none. %s\n",
+	    proxy_auth);
+	ntlm_request->auth_state = AUTHENTICATE_STATE_NEGOTIATE;
+	ntlm_request->ntlmnegotiate = xstrndup(proxy_auth, NTLM_CHALLENGE_SZ + 5);
+	conn->auth_type = AUTH_NTLM;
+	conn->auth_user_request = auth_user_request;
+	/* and lock for the connection duration */
+	debug(29, 9) ("authenticateNTLMAuthenticateUser: Locking auth_user from the connection.\n");
+	authenticateAuthUserRequestLock(auth_user_request);
+	return;
+	break;
+    case AUTHENTICATE_STATE_NEGOTIATE:
+	ntlm_request->auth_state = AUTHENTICATE_STATE_CHALLENGE;
+	return;
+	break;
+    case AUTHENTICATE_STATE_CHALLENGE:
+	/* we should have recieved a NTLM challenge. pass it to the same 
+	 * helper process */
+	debug(29, 9) ("authenticateNTLMAuthenticateUser: auth state challenge with header %s.\n", proxy_auth);
+	/* do a cache lookup here. If it matches it's a successful ntlm 
+	 * challenge - release the helper and use the existing auth_user 
+	 * details. */
+	if (strncmp("NTLM ", proxy_auth, 5) == 0) {
+	    ntlm_request->ntlmauthenticate = xstrdup(proxy_auth);
+	} else {
+	    fatal("Incorrect scheme in auth header\n");
+	    /* TODO: more fault tolerance.. reset the auth scheme here */
+	}
+	/* cache entries have authenticateauthheaderchallengestring */
+	snprintf(ntlmhash, sizeof(ntlmhash) - 1, "%s%s",
+	    ntlm_request->ntlmauthenticate,
+	    ntlm_request->authchallenge);
+	/* see if we already know this user's authenticate */
+	debug(29, 9) ("aclMatchProxyAuth: cache lookup with key '%s'\n", ntlmhash);
+	assert(proxy_auth_cache != NULL);
+	proxy_auth_hash = hash_lookup(proxy_auth_cache, ntlmhash);
+	if (!proxy_auth_hash) {	/* not in the hash table */
+	    debug(29, 4) ("authenticateNTLMAuthenticateUser: proxy-auth cache miss.\n");
+	    ntlm_request->auth_state = AUTHENTICATE_STATE_RESPONSE;
+	    /* verify with the ntlm helper */
+	} else {
+	    debug(29, 4) ("authenticateNTLMAuthenticateUser: ntlm proxy-auth cache hit\n");
+	    /* throw away the temporary entry */
+	    authenticateNTLMReleasehelper(auth_user_request);
+	    authenticateAuthUserMerge(auth_user, proxy_auth_hash->auth_user);
+	    auth_user = proxy_auth_hash->auth_user;
+	    auth_user_request->auth_user = auth_user;
+	    ntlm_request->auth_state = AUTHENTICATE_STATE_DONE;
+	    /* we found one */
+	    debug(29, 9) ("found matching cache entry\n");
+	    assert(auth_user->auth_type == AUTH_NTLM);
+	    /* get the existing entries details */
+	    ntlm_user = auth_user->scheme_data;
+	    debug(29, 9) ("Username to be used is %s\n",
+		ntlm_user->username);
+	    auth_user->flags.credentials_ok = 1;	/* authenticated ok */
+	    /* on ntlm auth we do not unlock the auth_user until the
+	     * connection is dropped. Thank MS for this quirk */
+	    auth_user->expiretime = current_time.tv_sec;
+	    auth_user->ip_expiretime = squid_curtime;
+	}
+	return;
+	break;
+    case AUTHENTICATE_STATE_RESPONSE:
+	/* auth-challenge pair cache miss. We've just got the response */
+	/*add to cache and let them through */
+	ntlm_request->auth_state = AUTHENTICATE_STATE_DONE;
+	/* this connection is authenticated */
+	debug(29, 4) ("authenticated\nch    %s\nauth     %s\nauthuser %s\n",
+	    ntlm_request->authchallenge,
+	    ntlm_request->ntlmauthenticate,
+	    ntlm_user->username);
+	/* cache entries have authenticateauthheaderchallengestring */
+	snprintf(ntlmhash, sizeof(ntlmhash) - 1, "%s%s",
+	    ntlm_request->ntlmauthenticate,
+	    ntlm_request->authchallenge);
+	/* see if this is an existing user with a different proxy_auth 
+	 * string */
+	if ((usernamehash = hash_lookup(proxy_auth_username_cache,
+		    ntlm_user->username))) {
+	    while ((usernamehash->auth_user->auth_type !=
+		    auth_user->auth_type) && (usernamehash->next) &&
+		!authenticateNTLMcmpUsername(usernamehash->auth_user->scheme_data, ntlm_user))
+		usernamehash = usernamehash->next;
+	    if (usernamehash->auth_user->auth_type == auth_user->auth_type) {
+		/*
+		 * add another link from the new proxy_auth to the
+		 * auth_user structure and update the information */
+		assert(proxy_auth_hash == NULL);
+		authenticateProxyAuthCacheAddLink(ntlmhash, usernamehash->auth_user);
+		/* we can't seamlessly recheck the username due to the 
+		 * challenge nature of the protocol. Just free the 
+		 * temporary auth_user */
+		authenticateAuthUserMerge(auth_user, usernamehash->auth_user);
+		auth_user = usernamehash->auth_user;
+		auth_user_request->auth_user = auth_user;
 #if 0
-                    conn->auth_user=auth_user;
+		conn->auth_user = auth_user;
 #endif
-                }
-            } else {
-                /* store user in hash's */
-                authenticateUserNameCacheAdd(auth_user);
-                authenticateProxyAuthCacheAddLink(ntlmhash, auth_user);
-            }
-            /* set these to now because this is either a new login from an 
-             * existing user or a new user */
-            auth_user->expiretime = current_time.tv_sec ;
-            auth_user->ip_expiretime = squid_curtime;
-            auth_user->flags.credentials_ok=1; /*authenticated ok */
-            return;
-            break;
+	    }
+	} else {
+	    /* store user in hash's */
+	    authenticateUserNameCacheAdd(auth_user);
+	    authenticateProxyAuthCacheAddLink(ntlmhash, auth_user);
+	}
+	/* set these to now because this is either a new login from an 
+	 * existing user or a new user */
+	auth_user->expiretime = current_time.tv_sec;
+	auth_user->ip_expiretime = squid_curtime;
+	auth_user->flags.credentials_ok = 1;	/*authenticated ok */
+	return;
+	break;
     case AUTHENTICATE_STATE_DONE:
-        fatal("authenticateNTLMAuthenticateUser: unexpect auth state DONE! Report a bug to the squid developers.\n");
-#if 0 
-done in acl.c
+	fatal("authenticateNTLMAuthenticateUser: unexpect auth state DONE! Report a bug to the squid developers.\n");
+#if 0				/* done in acl.c */
     case AUTHENTICATE_STATE_DONE:
-        debug(28, 5) ("aclMatchProxyAuth: connection in state Done. using connec
-tion credentials for the request.\n");
-        /* is it working right? */
-        assert(checklist->auth_user == NULL);
-        assert(checklist->conn->auth_user != NULL);
-        /* we have a valid username. */
-        auth_user = checklist->conn->auth_user;
-        /* store the username in the request for logging */
-        xstrncpy(checklist->request->authuser,
-            auth_user->auth_data.ntlm_auth.username,
-            USER_IDENT_SZ);
-        if (auth_user->expiretime + Config.authenticateTTL > current_time.tv_sec
-)
-        {
-            auth_user->expiretime = current_time.tv_sec;
-        }
-        else{
-            //user passed externa; authentication in every case to get here. f.
-Let it through
-        }
-
-        /* we don't unlock the auth_user until the connection is dropped. Thank
-         * MS for this quirk. */
-            if (authenticateCheckAuthUserIP(checklist->src_addr, auth_user)){
-                /* Once the match is completed we have finished with the
-                 * auth_user structure */
-                /* check to see if we have matched the user-acl before */
-                return aclCacheMatchAcl(&auth_user->proxy_match_cache, acltype,
-                    data, auth_user->auth_data.ntlm_auth.username);
-            } else {
-                    return 0;
-            }
-        break;
+	debug(28, 5) ("aclMatchProxyAuth: connection in state Done. using connection credentials for the request. \n");
+	/* is it working right? */
+	assert(checklist->auth_user == NULL);
+	assert(checklist->conn->auth_user != NULL);
+	/* we have a valid username. */
+	auth_user = checklist->conn->auth_user;
+	/* store the username in the request for logging */
+	xstrncpy(checklist->request->authuser,
+	    auth_user->auth_data.ntlm_auth.username,
+	    USER_IDENT_SZ);
+	if (auth_user->expiretime + Config.authenticateTTL > current_time.tv_sec
+	    ) {
+	    auth_user->expiretime = current_time.tv_sec;
+	} else {
+	    //user passed externa; authentication in every case to get here. f.
+	    Let it through
+	}			/* we don't unlock the auth_user until the connection is dropped. Thank
+				 * MS for this quirk. */ if (authenticateCheckAuthUserIP(checklist->src_addr, auth_user)) {
+	    /* Once the match is completed we have finished with the
+	     * auth_user structure */
+	    /* check to see if we have matched the user-acl before */
+	    return aclCacheMatchAcl(&auth_user->proxy_match_cache, acltype,
+		data, auth_user->auth_data.ntlm_auth.username);
+	} else {
+	    return 0;
+	}
+	break;
 #endif
     }
 
     return;
 }
-
Index: squid/test-suite/hash.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/test-suite/hash.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.26.1
diff -u -r1.1.1.1 -r1.1.1.1.26.1
--- squid/test-suite/hash.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/test-suite/hash.c	7 Jan 2001 09:48:33 -0000	1.1.1.1.26.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: hash.c,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: hash.c,v 1.1.1.1.26.1 2001/01/07 09:48:33 hno Exp $
  *
  * DEBUG: section 0     Hash Tables
  * AUTHOR: Harvest Derived
@@ -39,7 +39,7 @@
 #include <assert.h>
 #include "hash.h"
 #undef free
-extern void my_free(char *, int , void *);
+extern void my_free(char *, int, void *);
 
 #define free(a) my_free(__FILE__, __LINE__, a)
 
@@ -176,7 +176,7 @@
     /* Add to the given hash table 'hid' */
     new = calloc(1, sizeof(hash_link));
     if (!new) {
-	fprintf(stderr,"calloc failed!\n");
+	fprintf(stderr, "calloc failed!\n");
 	print_stats();
 	exit(1);
     }
@@ -298,7 +298,7 @@
 		hid->current_ptr = walker->next;
 	    if (FreeLink) {
 		if (walker) {
-		free(walker);
+		    free(walker);
 		}
 	    }
 	    return 0;
@@ -337,10 +337,10 @@
 void
 hashFreeMemory(hash_table * hid)
 {
-	if (hid->buckets);
+    if (hid->buckets);
     free(hid->buckets);
-	if (hid)
-    free(hid);
+    if (hid)
+	free(hid);
 }
 
 
@@ -402,4 +402,3 @@
     exit(0);
 }
 #endif
-
Index: squid/test-suite/membanger.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/test-suite/membanger.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.30.1
diff -u -r1.1.1.1 -r1.1.1.1.30.1
--- squid/test-suite/membanger.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/test-suite/membanger.c	7 Jan 2001 09:48:33 -0000	1.1.1.1.30.1
@@ -39,7 +39,7 @@
 
 int i;
 int a;
-int run_stats=0;
+int run_stats = 0;
 void *my_xmalloc(size_t);
 void *my_xcalloc(int, size_t);
 int my_xfree(void *);
@@ -49,163 +49,172 @@
 #define xfree my_xfree
 
 int *size2id_array[2];
-int size2id_len=0;
-int size2id_alloc=0;
+int size2id_len = 0;
+int size2id_alloc = 0;
 
 typedef struct {
-	char orig_ptr[32];
-	void *my_ptr;
+    char orig_ptr[32];
+    void *my_ptr;
 #ifdef WITH_LIB
-	MemPool *pool;
+    MemPool *pool;
 #endif
-	int size;
+    int size;
 } memitem;
 
 struct {
-	int mallocs,frees,callocs,reallocs;
+    int mallocs, frees, callocs, reallocs;
 } mstat;
 
 memitem *mi;
 void size2id(size_t, memitem *);
 void badformat();
 void init_stats(), print_stats();
-void my_hash_insert(hash_table *h, const char *k, memitem *item);
-static void *xmemAlloc(memitem *item);
-static void xmemFree(memitem *item);
+void my_hash_insert(hash_table * h, const char *k, memitem * item);
+static void *xmemAlloc(memitem * item);
+static void xmemFree(memitem * item);
 
-int 
-ptrcmp(const void *a,const void *b) 
+int
+ptrcmp(const void *a, const void *b)
 {
-	return (strcmp(a,b));
+    return (strcmp(a, b));
 }
 
-main(int argc,char **argv)
+main(int argc, char **argv)
 {
     char c;
-    extern char *optarg; 
+    extern char *optarg;
     malloc_options = "A";
-    a=0;
+    a = 0;
     while ((c = getopt(argc, argv, "f:i:M:l:m:r:N")) != -1) {
-      switch (c) {
+	switch (c) {
 	case 'N':
-	   mem_pools_on=0;
-	   break;
+	    mem_pools_on = 0;
+	    break;
 	case 'r':
-	  run_stats=atoi(optarg);
-	  break;
+	    run_stats = atoi(optarg);
+	    break;
 	case 'f':
-	  fn=strdup(optarg);
-	  fp=fopen(fn,"r");
-	  break;
+	    fn = strdup(optarg);
+	    fp = fopen(fn, "r");
+	    break;
 	case 'i':
-	  initsiz=atoi(optarg);
-	  break;
+	    initsiz = atoi(optarg);
+	    break;
 	case 'l':
-	  mem_max_size = atoi(optarg)*1024*1024;
-	  break;
+	    mem_max_size = atoi(optarg) * 1024 * 1024;
+	    break;
 	case 'M':
-	  maxsiz=atoi(optarg);
-	  break;
+	    maxsiz = atoi(optarg);
+	    break;
 	case 'm':
-	  minchunk=atoi(optarg);
-	  break;
+	    minchunk = atoi(optarg);
+	    break;
 	default:
-  	  fprintf(stderr,
-		"Usage: %s -f file -M maxsiz -i initsiz -m minchunk",argv[0]);
-	  exit(1);
-      }
-	
+	    fprintf(stderr,
+		"Usage: %s -f file -M maxsiz -i initsiz -m minchunk", argv[0]);
+	    exit(1);
+	}
+
     }
     if (!fp) {
 	fprintf(stderr,
-		"%s pummels %s\n%s . o O ( You't supply a valid tracefile.)\n",
-			argv[0], getenv("USER"), argv[0]);
+	    "%s pummels %s\n%s . o O ( You't supply a valid tracefile.)\n",
+	    argv[0], getenv("USER"), argv[0]);
 	exit(1);
     }
 #ifdef WITH_LIB
     sizeToPoolInit();
 #endif
-    mem_table = hash_create(ptrcmp, 229, hash4);         /* small hash table */
+    mem_table = hash_create(ptrcmp, 229, hash4);	/* small hash table */
     init_stats();
-    while (fgets(mbuf, 256, fp)!=NULL) {
-	if (run_stats>0 && (++a)%run_stats==0) print_stats();
-	p=NULL;
-	switch(mbuf[0]) {
-	case 'm': /* malloc */
-	   p=strtok(&mbuf[2],":");
-	   if (!p) badformat();
-	   size=atoi(p);
-	   p=strtok(NULL,"\n");
-	   if (!p) badformat();
-	   mi=malloc(sizeof(memitem)); 
-	   strcpy(mi->orig_ptr,p);
-	   mi->size=size;
-	   size2id(size,mi);
-	   mi->my_ptr = xmemAlloc(mi); /* (void *)xmalloc(size); */
-	   assert(mi->my_ptr);
-	   my_hash_insert(mem_table, mi->orig_ptr, mi);
-	   mstat.mallocs++;
-	   break;
-	case 'c': /* calloc */
-	   p=strtok(&mbuf[2],":");
-	   if (!p) badformat();
-	   amt=atoi(p);
-	   p=strtok(NULL,":");
-	   if (!p) badformat();
-	   size=atoi(p);
-	   p=strtok(NULL,"\n");
-	   if (!p) badformat();
-           mi=malloc(sizeof(memitem));
-	   strcpy(mi->orig_ptr,p);
-	   size2id(size,mi);
-           mi->size=amt*size;
-           mi->my_ptr= xmemAlloc(mi); /*(void *)xmalloc(amt*size);*/
-	   assert(mi->my_ptr);
-	   my_hash_insert(mem_table, mi->orig_ptr, mi);
-	   mstat.callocs++;
-	   break;
+    while (fgets(mbuf, 256, fp) != NULL) {
+	if (run_stats > 0 && (++a) % run_stats == 0)
+	    print_stats();
+	p = NULL;
+	switch (mbuf[0]) {
+	case 'm':		/* malloc */
+	    p = strtok(&mbuf[2], ":");
+	    if (!p)
+		badformat();
+	    size = atoi(p);
+	    p = strtok(NULL, "\n");
+	    if (!p)
+		badformat();
+	    mi = malloc(sizeof(memitem));
+	    strcpy(mi->orig_ptr, p);
+	    mi->size = size;
+	    size2id(size, mi);
+	    mi->my_ptr = xmemAlloc(mi);		/* (void *)xmalloc(size); */
+	    assert(mi->my_ptr);
+	    my_hash_insert(mem_table, mi->orig_ptr, mi);
+	    mstat.mallocs++;
+	    break;
+	case 'c':		/* calloc */
+	    p = strtok(&mbuf[2], ":");
+	    if (!p)
+		badformat();
+	    amt = atoi(p);
+	    p = strtok(NULL, ":");
+	    if (!p)
+		badformat();
+	    size = atoi(p);
+	    p = strtok(NULL, "\n");
+	    if (!p)
+		badformat();
+	    mi = malloc(sizeof(memitem));
+	    strcpy(mi->orig_ptr, p);
+	    size2id(size, mi);
+	    mi->size = amt * size;
+	    mi->my_ptr = xmemAlloc(mi);		/*(void *)xmalloc(amt*size); */
+	    assert(mi->my_ptr);
+	    my_hash_insert(mem_table, mi->orig_ptr, mi);
+	    mstat.callocs++;
+	    break;
 	case 'r':
-           p=strtok(&mbuf[2],":");
-	   if (!p) badformat();
-	   strcpy(abuf,p);
-           p=strtok(NULL,":");
-	   if (!p) badformat();
-	   mem_entry=hash_lookup(mem_table, p);
-           if (mem_entry==NULL) {
-                fprintf(stderr,"invalid realloc (%s)!\n",p);
+	    p = strtok(&mbuf[2], ":");
+	    if (!p)
+		badformat();
+	    strcpy(abuf, p);
+	    p = strtok(NULL, ":");
+	    if (!p)
+		badformat();
+	    mem_entry = hash_lookup(mem_table, p);
+	    if (mem_entry == NULL) {
+		fprintf(stderr, "invalid realloc (%s)!\n", p);
 		break;
-           }
-	   mi=(memitem *)(mem_entry->item);
-	   assert(mi->pool);
-	   assert(mi->my_ptr);
-	   xmemFree(mi); /* xfree(mi->my_ptr); */
-	   size2id(atoi(p),mi);   /* we don't need it here I guess? */
-           strcpy(mi->orig_ptr,abuf);
-	   p=strtok(NULL,"\n");
-	   if (!p) badformat();
-	   mi->my_ptr= xmemAlloc(mi); /* (char *)xmalloc(atoi(p)); */
-	   assert(mi->my_ptr);
-	   mstat.reallocs++;
-	   break;
+	    }
+	    mi = (memitem *) (mem_entry->item);
+	    assert(mi->pool);
+	    assert(mi->my_ptr);
+	    xmemFree(mi);	/* xfree(mi->my_ptr); */
+	    size2id(atoi(p), mi);	/* we don't need it here I guess? */
+	    strcpy(mi->orig_ptr, abuf);
+	    p = strtok(NULL, "\n");
+	    if (!p)
+		badformat();
+	    mi->my_ptr = xmemAlloc(mi);		/* (char *)xmalloc(atoi(p)); */
+	    assert(mi->my_ptr);
+	    mstat.reallocs++;
+	    break;
 	case 'f':
-	   p=strtok(&mbuf[2],"\n");
-	   mem_entry=hash_lookup(mem_table, p);		
-	   if (mem_entry==NULL) {
-		if (p[0]!='0')
-		fprintf(stderr,"invalid free (%s) at line %d!\n",p,a);
+	    p = strtok(&mbuf[2], "\n");
+	    mem_entry = hash_lookup(mem_table, p);
+	    if (mem_entry == NULL) {
+		if (p[0] != '0')
+		    fprintf(stderr, "invalid free (%s) at line %d!\n", p, a);
 		break;
-	   }
-	   mi=(memitem *)(mem_entry->item);
-	   assert(mi->pool);
-	   assert(mi->my_ptr);
-	   xmemFree(mi); /* xfree(mi->my_ptr); */ 
-	   hash_unlink(mem_table, mem_entry, 1);
-	   free(mi);
-	   mstat.frees++;
-	   break;
+	    }
+	    mi = (memitem *) (mem_entry->item);
+	    assert(mi->pool);
+	    assert(mi->my_ptr);
+	    xmemFree(mi);	/* xfree(mi->my_ptr); */
+	    hash_unlink(mem_table, mem_entry, 1);
+	    free(mi);
+	    mstat.frees++;
+	    break;
 	default:
-		fprintf(stderr,"%s pummels %s.bad.format\n", argv[0],fn);
-		exit(1);
+	    fprintf(stderr, "%s pummels %s.bad.format\n", argv[0], fn);
+	    exit(1);
 	}
 
     }
@@ -216,19 +225,19 @@
 void *
 my_xmalloc(size_t a)
 {
-	return NULL;
+    return NULL;
 }
 
 void *
 my_xcalloc(int a, size_t b)
 {
-	return NULL;
+    return NULL;
 }
 
 int
 my_xfree(void *p)
 {
-	return 0;
+    return 0;
 }
 void
 init_stats()
@@ -240,36 +249,36 @@
 print_stats()
 {
 #ifdef WITH_LIB
-        memReport(stdout); 
+    memReport(stdout);
 #endif
-	getrusage(RUSAGE_SELF, &myusage);
-	printf("m/c/f/r=%d/%d/%d/%d\n",mstat.mallocs,mstat.callocs,
-					mstat.frees, mstat.reallocs);
+    getrusage(RUSAGE_SELF, &myusage);
+    printf("m/c/f/r=%d/%d/%d/%d\n", mstat.mallocs, mstat.callocs,
+	mstat.frees, mstat.reallocs);
 #if 0
-	printf("types                 : %d\n",size2id_len);
+    printf("types                 : %d\n", size2id_len);
 #endif
-	printf("user time used        : %d.%d\n", (int)myusage.ru_utime.tv_sec,
-						(int)myusage.ru_utime.tv_usec);
-	printf("system time used      : %d.%d\n", (int)myusage.ru_stime.tv_sec,
-                                                (int)myusage.ru_stime.tv_usec);
-	printf("max resident set size : %d\n",(int)myusage.ru_maxrss);
-	printf("page faults           : %d\n", (int)myusage.ru_majflt);
+    printf("user time used        : %d.%d\n", (int) myusage.ru_utime.tv_sec,
+	(int) myusage.ru_utime.tv_usec);
+    printf("system time used      : %d.%d\n", (int) myusage.ru_stime.tv_sec,
+	(int) myusage.ru_stime.tv_usec);
+    printf("max resident set size : %d\n", (int) myusage.ru_maxrss);
+    printf("page faults           : %d\n", (int) myusage.ru_majflt);
 }
 
 void
-size2id(size_t sz,memitem *mi)
+size2id(size_t sz, memitem * mi)
 {
 #ifdef WITH_LIB
-	mi->pool = sizeToPool(sz);
-	assert(mi->pool);
+    mi->pool = sizeToPool(sz);
+    assert(mi->pool);
 #endif
-	return;
+    return;
 }
 
 void
 badformat()
 {
-    fprintf(stderr,"pummel.bad.format\n");
+    fprintf(stderr, "pummel.bad.format\n");
     exit(1);
 }
 
@@ -277,22 +286,22 @@
 const char *
 make_nam(int id, int size)
 {
-    const char *buf = malloc(30); /* argh */
-    sprintf((char *)buf, "pl:%d/%d", id, size);
+    const char *buf = malloc(30);	/* argh */
+    sprintf((char *) buf, "pl:%d/%d", id, size);
     return buf;
 }
 
 void
-my_hash_insert(hash_table *h, const char *k, memitem *item)
-{	
-	memitem *l;
-	assert( item->pool);
-	assert( item->my_ptr);	
-	hash_insert(h,k,item);
+my_hash_insert(hash_table * h, const char *k, memitem * item)
+{
+    memitem *l;
+    assert(item->pool);
+    assert(item->my_ptr);
+    hash_insert(h, k, item);
 }
 
 static void *
-xmemAlloc(memitem *item)
+xmemAlloc(memitem * item)
 {
     extern MemPool *StringPool;
     assert(item && item->pool);
@@ -303,23 +312,24 @@
 }
 
 static void
-xmemFree(memitem *item)
+xmemFree(memitem * item)
 {
     extern MemPool *StringPool;
     assert(item && item->pool);
     if (StringPool == item->pool)
-        return memStringFree(item->pool, item->my_ptr, item->size);
+	return memStringFree(item->pool, item->my_ptr, item->size);
     else
-        return memFree(item->pool, item->my_ptr);
+	return memFree(item->pool, item->my_ptr);
 }
 
-void my_free(char *file, int line, void *ptr)
+void 
+my_free(char *file, int line, void *ptr)
 {
 #if 0
-fprintf(stderr,"{%s:%d:%p",file,line,ptr);
+    fprintf(stderr, "{%s:%d:%p", file, line, ptr);
 #endif
-free(ptr);
-#if 0 
-fprintf(stderr,"}\n");
+    free(ptr);
+#if 0
+    fprintf(stderr, "}\n");
 #endif
 }
